// +build ignore

package main

import (
	"os"

	"git.thisco.de/vbatts/fuzz-walker/walker"
	"git.thisco.de/vbatts/fuzz-walker/walker/walkers/readFuzz"
)

// NewFuzzer creates the fuzzer for this plugin
func NewFuzzer() (walker.Fuzzer, error) {
	return &myFuzzer{}, nil
}

type myFuzzer struct{}

func (mf myFuzzer) Name() string {
	return readFuzz.Name
}

func (mf myFuzzer) Func(path string, info os.FileInfo) error {
	return readFuzz.FuzzFunc(path, info)
}
